nprogressmanager.h File Reference

Facilitates sharing NProgress objects between an operation thread and an external interface. More...

`#include "regina-core.h"`
`#include "progress/nprogress.h"`

## Classes

class | regina::NProgressManager
| Manages the sharing of an NProgress object between reading and writing threads. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Detailed Description

Facilitates sharing NProgress objects between an operation thread and an external interface.

Copyright © 1999-2014, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).